
Figure - Bug #117373
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【桌面】【游戏模式】概率出现，局部区域触摸/点击不识别操作
2023-04-10 18:31 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-10

Priority: Urgent Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304100016.zip��

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-04-18

Test Type: Free Test Root cause: 编码问题

Description

【测试步骤】

1.应用宝下载多个app

2.开启游戏模式

3.操作设备（有玩英雄联盟并操作了游戏模式等功能、打开其他非游戏app进行测试、触十指触摸、播放音乐等）

【预期结果】

能正常响应每次操作

【测试结果】

出现X:791、Z：248（整竖行）均无触摸响应，getevent -lt有输出，上层显示指针触摸

【备注】

只出现1次（测试3H）

Related issues:

Related to Figure - Bug # 117372: 【AF】【EVT2】【游戏模式】游戏中，多点触... CLOSED 2023-04-10

History

#1 - 2023-04-11 21:05 - CD TEST-方永红

- File 2101.txt added

- File 20230411-210430.mp4 added

- Category set to CD-FW

- Assignee changed from CD FW-程天颖 to CD FW 曹覃刚

- Priority changed from Normal to Urgent

- Severity changed from Normal to Critical

4.11

在桌面左手模式下进行测试。从左向右数第二列应用无法点击打开，无法响应长按事件

日志和视频见附件

#2 - 2023-04-12 14:17 - CD TEST-方永红

- File 1412.txt added

4.12

再次复现
本次复现场景如下

【测试版本】0090-VX1

【前提条件】

1、左手模式下

2、屏幕上应用几乎占满一屏

【测试步骤】

点击百度手机助手->小窗启动->手势上划进任务管理器->百度手机助手在recent界面全屏显示

->点击从左向右数第一列的三个应用图标，无响应，其余位置的应用图标有响应

#3 - 2023-04-13 15:48 - 物联网测试组_CDTS  唐霞 

- File 部分区域操作不识别.mp4 added

- Subject changed from 【AF】【EVT2】【游戏模式】出现1次，局部触摸无响应 to 【AF】【EVT2】【桌面】【游戏模式】概率出现，局部区域触摸/点击

不识别操作

概率出现桌面部分区域点击操作不识别

#4 - 2023-04-13 22:09 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

[当前情况]

20230411-210430.mp4 

根据视频，问题发生的时间点为10点25分55秒至10点26分0秒的五秒内

正常情况，点击桌面时，InputDispatcher中会有如下事件交互的日志

04-11 10:25:49.044  1550  1799 I input_interaction: Interaction with: 7e06c44 com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher (server),

ed0911c com.android.systemui.ImageWallpaper (server), edge-swipe (server), swipe-up (server), PointerEventDispatcher0 (server), 

1.但是在发生问题的五秒内，并没有事件的分发

2.问题发生似乎都是在屏幕的左侧

综上，有如下怀疑

1.与桌面的格子处理有关系

[下一步动作]

偶现问题，待测试复现后，现场确认

#5 - 2023-04-14 17:19 - CD TEST-方永红

- File 4141715.txt added

【高概率复现步骤】

1、左手模式下，进入recent，打音乐小窗

2、再上划进入recent一次

3、点击从左向右数第一列的应用图标

4、无响应，adb shell getevent有内容输出

#6 - 2023-04-14 19:34 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营
Hi 王营

目前可以高概率复现这个问题

从现象以及测试情况开看，应该是桌面应用格子的范围计算出现问题

请帮忙分析

#7 - 2023-04-16 22:43 - CD APP-王营

- % Done changed from 0 to 10

■ Current conclusion

问题已经复现，做了版本切分，当前定位为4月8号提交导致，正在验证中

准确的复现步骤如下：

1.启动桌面一个小窗应用。

2.单击桌面第一屏第一列一个应用，全屏打开。

3.底部快速上滑，不进入recent，应用由全屏退出，动画回到启动icon位置。

4.此时再次点击第一列应用icon无响应，问题产生。

■ Next action

分析4月8号代码入库内容，找到产生问题的代码。

#8 - 2023-04-17 21:06 - CD APP-王营

- % Done changed from 10 to 60

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

■ Current conclusion

问题修复，待验证

■ My Analyse

小窗存在情况下，返回桌面后recent中FreeWindowContainer处于invisible状态，不可见但是覆盖在workspace上面，workspace的item无法接收到点击事件。

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/194349

#9 - 2023-04-17 22:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194349 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Launcher: Fix some items can not click in workspace.1.Fix some items can not click in workspace when free window exist.TC-RID: 0301-0205301IssueID:

TS-R-BUG-117373Change-Id: I6254cd04e45892598f88838549206c0bf1d4eed9

#10 - 2023-04-17 22:26 - CD APP-王营
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to 物联网测试组_CDTS  唐霞 

- % Done changed from 60 to 100

- Fixed Version set to 2023-04-18

- Root cause set to 编码问题

#11 - 2023-04-19 18:15 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304190056

#12 - 2023-04-19 18:15 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

getevent -lt.txt 188 KB 2023-04-10 物联网测试组_CDTS  唐霞 

局部触摸无响应.txt 8.41 MB 2023-04-10 物联网测试组_CDTS  唐霞 

2101.txt 5.98 MB 2023-04-11 CD TEST-方永红

20230411-210430.mp4 7.63 MB 2023-04-11 CD TEST-方永红

1412.txt 3.45 MB 2023-04-12 CD TEST-方永红

部分区域操作不识别.mp4 10.9 MB 2023-04-13 物联网测试组_CDTS  唐霞 

4141715.txt 5.21 MB 2023-04-14 CD TEST-方永红
